<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>04 OSI Layer 2</title>

		<link rel="icon" type="image/png" href="images/org_symbol.png" />
		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</div>

		<div class="reveal">
			<div class="slides">
				<section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>OSI Layer 2</h1>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
					    <h2>Objectives</h2>
					    <a href="../objectives.html" target="_blank">OSI Layer 2 Objectives</a>
					</section>
					<section>
						<h2>Layer 1 Devices </h2>
						<ul>
							Hub, Repeater, Modem, Cables are Physical Layer devices.
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>		
					
					<section>
						<h2>Layer 2 Devices </h2>
						<ul>
						<li>Data Link layer is handled by the NIC (Network Interface Card) and device drivers of host machines</li>
						<li>Switches & Bridges are Data Link Layer devices</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
				
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>MAC address</h1>
						<ul>
							<li> Media Access Control (MAC) address</li>
							<li>Each NIC has a unique MAC that is "burned in" by the manufacturer</li>
							<li>The MAC address is a 48-bit address </li>
							<li>looks similar to 00-90-4B-4C-C1-59 or sometimes 00:90:4B:4C:C1:5</li>
						</ul>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
					</section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>Organizational Unique Identifier</h1>
						<ul>
							<li>First 3 bytes of MAC address</li>
							<li>Specific to a manufacturer</li>
							<li>Last 3 bytes are decided by manufacturer</li>
						</ul>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
					</section>
					
                    <section>
						<h2>Layer 2 Switching </h2>
						
                        <ul>
							<li>Layer 2 switching is the process of using a MAC address to decide where to forward frames.</li>
							<li>A frame is the encapsulation of data at Layer 2</li>
							<li>Switches and bridges are used for Layer 2 switching</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
				</section>
				<section>
                    <section>
						<h2>Data Encapsulation</h2>
						<img src="../../assets/encapsulation.png" alt="Data">

						<ul>
							<li>Each layer builds a protocol data unit (PDU) by adding a header or footer/trailer to data from the layers above.</li>
							<li>Headers (trailers) contain protocol information for the specified layer</li>
							<ul><li>Layer 2 PDU is a Frame</li>
								<li>Layer 3 PDU is a Packet</li>
								<li>Layer 4 PDU is a Segment</li></ul>
							
							</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					
					<section>
						<h2>Ethernet explained</h2>
						<img src="../../assets/physical.png" alt="physical">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>Ethernet Header</h2>
						<img src="../../assets/etherframe.png" alt="etherframe">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>Encapsulation</h2>
						<img src="../../assets/en1.png" alt="en1">
					</section>
					<section>
						<h2>Encapsulation</h2>
						<img src="../../assets/en2.png" alt="en2">
					</section>
					<section>
						<h2>Encapsulation</h2>
						<img src="../../assets/en3.png" alt="en3">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en4.png" alt="en4">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en5.png" alt="en5">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en6.png" alt="en6">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en7.png" alt="en7">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en8.png" alt="en8">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en9.png" alt="en9">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en10.png" alt="en10">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en11.png" alt="en11">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en12.png" alt="en12">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en13.png" alt="en13">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en14.png" alt="en14">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en15.png" alt="en15">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en16.png" alt="en16">
					</section>
					<section>
						<h2>How Encapsulation works</h2>
						<img src="../../assets/en17.png" alt="en17">
					</section>
					<section>
						<h3>Data Encapsulation</h3>
						<img src="../../assets/Dataencap.png" alt="Dataencap">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
				</section>

				
			</div>
		</div>
		<footer style="background:green; left:0; right:0; bottom: 0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</footer>		
			
		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				hash: true,
				menu: {
					// Specifies which side of the presentation the menu will 
					// be shown. Use 'left' or 'right'.
					side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: 'normal',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: true,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the 
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					custom: false,

					// Specifies the themes that will be available in the themes
					// menu panel. Set to 'true' to show the themes menu panel
					// with the default themes list. Alternatively, provide an
					// array to specify the themes to make available in the
					// themes menu panel, for example...
					// [
					//     { name: 'Black', theme: 'css/theme/black.css' },
					//     { name: 'White', theme: 'css/theme/white.css' },
					//     { name: 'League', theme: 'css/theme/league.css' }
					// ]
					themes: true,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own 
					// list of themes or 'themes' is set to 'false' the 
					// 'themesPath' option is ignored.
					themesPath: 'css/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: true,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must 
					// be displayed for this to take effect
					openSlideNumber: true,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard 
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes 
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true
				},
				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/highlight/highlight.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/reveal.js-menu/menu.js' }
				]
			});
		</script>
	</body>
</html>
